# eric4.Plugins.PluginEricdoc

Module implementing the Ericdoc plugin.

### Global Attributes

author
autoactivate
className
deactivateable
error
longDescription
name
packageName
shortDescription
version

### Classes

EricdocPlugin | Class implementing the Ericdoc plugin.

### Functions

exeDisplayData | Public method to support the display of some executable info.

## EricdocPlugin

Class implementing the Ericdoc plugin.

### Derived from

QObject

### Class Attributes

None

### Class Methods

None

### Methods

EricdocPlugin | Constructor
__doEricdoc | Private slot to perform the eric4_doc api documentation generation.
__initialize | Private slot to (re)initialize the plugin.
__projectShowMenu | Private slot called, when the the project menu or a submenu is about to be shown.
activate | Public method to activate this plugin.
deactivate | Public method to deactivate this plugin.

### Static Methods

None

#### EricdocPlugin (Constructor)

EricdocPlugin(ui)

Constructor

ui
  reference to the user interface object (UI.UserInterface)

#### EricdocPlugin.__doEricdoc

__doEricdoc()

Private slot to perform the eric4_doc api documentation generation.

#### EricdocPlugin.__initialize

__initialize()

Private slot to (re)initialize the plugin.

#### EricdocPlugin.__projectShowMenu

__projectShowMenu(menuName, menu)

Private slot called, when the the project menu or a submenu is about to be shown.

menuName
  name of the menu to be shown (string)
menu
  reference to the menu (QMenu)

#### EricdocPlugin.activate

activate()

Public method to activate this plugin.

Returns:
  tuple of None and activation status (boolean)

#### EricdocPlugin.deactivate

deactivate()

Public method to deactivate this plugin.

Up

## exeDisplayData

exeDisplayData()

Public method to support the display of some executable info.

Returns:
  dictionary containing the data to query the presence of the executable

Up